Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.testing
Class DistPastryRegrTest

    java.lang.Object
      rice.pastry.testing.PastryRegrTest
          rice.pastry.testing.DistPastryRegrTest

public class DistPastryRegrTest
extends PastryRegrTest

a regression test suite for pastry with "distributed" nodes. All nodes are on one physical machine, but they communicate through one of the network transport protocols, i.e., RMI or WIRE. See the usage for more information, the -protocol option can be used to specify which protocol to run the test with.

Version:
  $Id: DistPastryRegrTest.java,v 1.21 2005/03/15 21:12:32 jeffh Exp $
Author:
  Alan Mislove

Field Summary

Fields inherited from class rice.pastry.testing.PastryRegrTest
`factory, inConcJoin, lastDist, lastMsg, lastNode, pastryNodes, pastryNodesLastAdded, pastryNodesSorted`

Constructor Summary
`DistPastryRegrTest()` Constructor for DistPastryRegrTest.

Method Summary
`protected NodeHandle` | `getBootstrap(boolean firstNode)` Gets a handle to a bootstrap node.
`boolean` | `isReallyAlive(NodeId id)` Gets the ReallyAlive attribute of the DistPastryRegrTest object
`protected void` | `killNode(PastryNode pn)` DESCRIBE THE METHOD
`static void` | `main(java.lang.String[] args)` Usage: DistRegrPastryTest [-port p] [-protocol (wire|rmi)] [-nodes n] [-bootstrap host[:port]] [-help]
`void` | `pause(int ms)` DESCRIBE THE METHOD
`protected void` | `registerapp(PastryNode pn, RegrTestApp app)` wire protocol specific handling of the application object e.g., RMI may launch a new thread
`boolean` | `simulate()` DESCRIBE THE METHOD

Methods inherited from class rice.pastry.testing.PastryRegrTest
`generateNode, mainfunc, sendPings`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistPastryRegrTest

    public DistPastryRegrTest()

  Constructor for DistPastryRegrTest.

Method Detail

### getBootstrap

    protected NodeHandle getBootstrap(boolean firstNode)

  Gets a handle to a bootstrap node.

  Specified by:
    `getBootstrap` in class `PastryRegrTest`
  Parameters:
    `firstNode` - true if bootstraping the first virtual node on this host
  Returns:
    handle to bootstrap node, or null.

### isReallyAlive

    public boolean isReallyAlive(NodeId id)

  Gets the ReallyAlive attribute of the DistPastryRegrTest object

  Specified by:
    `isReallyAlive` in class `PastryRegrTest`
  Parameters:
    `id` - DESCRIBE THE PARAMETER
  Returns:
    The ReallyAlive value

### registerapp

    protected void registerapp(PastryNode pn,
                               RegrTestApp app)

  wire protocol specific handling of the application object e.g., RMI may launch a new thread

  Specified by:
    `registerapp` in class `PastryRegrTest`
  Parameters:
    `pn` - pastry node
    `app` - newly created application

### simulate

    public boolean simulate()

  DESCRIBE THE METHOD

  Specified by:
    `simulate` in class `PastryRegrTest`
  Returns:
    DESCRIBE THE RETURN VALUE

### pause

    public void pause(int ms)

  DESCRIBE THE METHOD

  Specified by:
    `pause` in class `PastryRegrTest`
  Parameters:
    `ms` - DESCRIBE THE PARAMETER

### killNode

    protected void killNode(PastryNode pn)

  DESCRIBE THE METHOD

  Specified by:
    `killNode` in class `PastryRegrTest`
  Parameters:
    `pn` - DESCRIBE THE PARAMETER

### main

    public static void main(java.lang.String[] args)

  Usage: DistRegrPastryTest [-port p] [-protocol (wire|rmi)] [-nodes n] [-bootstrap host[:port]] [-help]

  Parameters:
    `args` - DESCRIBE THE PARAMETER

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.